SpriteLibrary
SpriteLibrary
SpriteLibrary
SpriteController Class
SpriteController Methods
AddSprite Method
AdjustPoint Method
AdjustRectangle Method
AllNamedSprites Method
AllSprites Method
ChangeTickInterval Method
CountSpritesBasedOff Method
DestroyAllSprites Method
DestroySprite Method
DuplicateSprite Method
Invalidate Method
IsKeyPressed Method
KeysPressed Method
LinkControllersForSpriteTemplateSharing Method
NameSprite Method
Pause Method
PlaceSpriteBehind Method
PlaceSpriteInFrontOf Method
RegisterKeyDownFunction Method
RegisterKeyUpFunction Method
ReplaceOriginalImage Method
ResetKeypressState Method
ReturnAdjustmentRatio Method
ReturnPictureBoxAdjustedHeight Method
ReturnPictureBoxAdjustedPoint Method
ReturnPictureBoxAdjustedWidth Method
ReturnPointAdjustedForImage Method
SetSpriteDatabase Method
SoundIsFinished Method
SoundPlay Method
SpriteBackwards Method
SpriteForwards Method
SpriteFromName Method
SpritesAtImagePoint Method
SpritesAtPoint Method
SpritesBasedOff Method
SpritesBasedOffAnything Method
SpritesInImageRectangle Method
SpritesThatHaveBeenDrawn Method
SpriteToBack Method
SpriteToFront Method
UnlinkControllersForSpriteTemplateSharing Method
UnPause Method

# SpriteController SpriteFromName Method

Find a sprite that has a specified name. This returns the actual sprite with that name. You usually want to use DuplicateSprite(Name) to clone the sprite and get one you can destroy. If you destroy a named sprite without duplicating it, you may end up losing it for the remainder of the program.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public Sprite SpriteFromName(
    	string Name
    )

#### Parameters

Name
  Type: System
  String
  A string that matches something added to a sprite with Sprite.SetName

#### Return Value

Type: Sprite
A sprite that has the specified name, or null if no such sprite exists.
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace